petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDrawBarSetColor

Sets the color the bars will be drawn with.

### Synopsis

    #include "petscdraw.h"
    #include "petscsys.h"
    #include "petscviewer.h"
    PetscErrorCode  PetscDrawBarSetColor(PetscDrawBar bar, int color)

Logically Collective on PetscDrawBar

### Input Parameters

| bar | - The bar graph context
| color | - one of the colors defined in petscdraw.h or PETSC_DRAW_ROTATE to make each bar a different color

### See Also

PetscDrawBarCreate(), PetscDrawBar, PetscDrawBarSetData(), PetscDrawBarDraw(), PetscDrawBarGetAxis()

### Level

intermediate

### Location

src/sys/classes/draw/utils/bars.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages